summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2011-12-18 23:38:11 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2011-12-18 23:38:11 +0000
commit9093483e3432bf58f8a8de0c4a681cf9d7b97f40 (patch)
tree5e500db14040b4877931461a4a1d52f97e025541 /eclass/python.eclass
parentVersion bump. (diff)
downloadgentoo-2-9093483e3432bf58f8a8de0c4a681cf9d7b97f40.tar.gz
gentoo-2-9093483e3432bf58f8a8de0c4a681cf9d7b97f40.tar.bz2
gentoo-2-9093483e3432bf58f8a8de0c4a681cf9d7b97f40.zip
Bug #390691: Be careful about cp call to coreutils with --no-preserve option that might not be available until later in an upgrade.
Diffstat (limited to 'eclass/python.eclass')
-rw-r--r--eclass/python.eclass10
1 files changed, 8 insertions, 2 deletions
diff --git a/eclass/python.eclass b/eclass/python.eclass
index 51b76075ade3..0c0707aaac9e 100644
--- a/eclass/python.eclass
+++ b/eclass/python.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.141 2011/11/30 08:55:18 djc Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.142 2011/12/18 23:38:11 robbat2 Exp $
# @ECLASS: python.eclass
# @MAINTAINER:
@@ -1592,8 +1592,14 @@ for file in sorted(files_set):
popd > /dev/null || die "popd failed"
- if ROOT="/" has_version sys-apps/coreutils; then
+ # This is per bug #390691, without the duplication refactor, and with
+ # the 3-way structure per comment #6. This enable users with old
+ # coreutils to upgrade a lot easier (you need to upgrade python+portage
+ # before coreutils can be upgraded).
+ if ROOT="/" has_version >=sys-apps/coreutils-6.9.90; then
cp -fr --preserve=all --no-preserve=context "${intermediate_installation_images_directory}/${PYTHON_ABI}/"* "${D}" || die "Merging of intermediate installation image for Python ABI '${PYTHON_ABI} into installation image failed"
+ elif ROOT="/" has_version sys-apps/coreutils; then
+ cp -fr --preserve=all "${intermediate_installation_images_directory}/${PYTHON_ABI}/"* "${D}" || die "Merging of intermediate installation image for Python ABI '${PYTHON_ABI} into installation image failed"
else
cp -fpr "${intermediate_installation_images_directory}/${PYTHON_ABI}/"* "${D}" || die "Merging of intermediate installation image for Python ABI '${PYTHON_ABI} into installation image failed"
fi